<?php

function show_form($custid, $sdate, $edate, $bimonthly)
{
      global $db, $subf;
      global $cust, $homec, $cityname;

      echo "<div class='bill'>".farsi("Svrt-Hsab az taryK ")."<b>".long_date($sdate)."</b>".
           farsi(" ta taryK ")."<b>".long_date($edate)."</b>:<br>";

      $res = pg_exec($db, "select sum(cost) as total 
                           from call
                           where cid='$custid' and 
                                 councode=$homec and 
                                 citycode='".$cust->citycode."' and
                                 starttime > '$sdate' and
                                 starttime < '$edate';");

      $intra = pg_fetch_object($res, 0);
      pg_freeresult($res);
      $res = pg_exec($db, "select sum(cost) as total 
                           from call
                           where cid='$custid' and 
                                 councode=$homec and 
                                 citycode!='".$cust->citycode."' and
                                 starttime > '$sdate' and
                                 starttime < '$edate';");
      $dom = pg_fetch_object($res, 0);
      pg_freeresult($res);

      $res = pg_exec($db, "select sum(cost) as total 
                           from call
                           where cid='$custid' and 
                                 councode!=$homec and 
                                 starttime > '$sdate' and
                                 starttime < '$edate';");
                           
      $for = pg_fetch_object($res, 0);
      pg_freeresult($res);
      $intracost = (int) $intra->total;
      $domcost = (int) $dom->total;
      $forcost = (int) $for->total;

      $tax = 0;
      if ($forcost > 0) {
         $res = pg_exec($db, "select mincost, percent
                              from tax
                              order by mincost desc;");
         $n = pg_numrows($res);
         $totax = $forcost;
         for ($i = 0; $i < $n; ++$i) {
            $perc = pg_fetch_object($res, $i);
            if ($totax >= $perc->mincost) {
               $tax += ($totax - $perc->mincost) * $perc->percent;
               $totax = $perc->mincost;
            }
         }
         $tax = (int) round($tax);
         pg_freeresult($res);
      }

      $total = $intracost + $domcost + $forcost + $tax;
      
      echo "<table><tr><td style='right'>
            <table style='display: inline' class='inl'><tr><td>".farsi("wnash-y mwtry")."
            <tr><td>".farsi($custid)."</table>
            <table style='display: inline' class='inl'><tr><td  class='right'>".farsi("nam mwtry")."
            <tr><td>".$cust->fname." ".$cust->lname."</table>
            <table style='display: inline' class='inl'><tr><td>".farsi("nwany")."
            <tr><td>".$cust->address."</table>
            <table style='display: inline' class='inl'><tr><td>".farsi("nam whr")."
            <tr><td>".farsi($cityname[$cust->citycode])."</table>
            <table style='display: inline' class='inl'><tr><td>".farsi("kd whr")."
            <tr><td>".farsi($cust->citycode)."</table>
            
            <tr><td style='right' align='right'>
            <table style='display: inline' class='inl'><tr><td>".farsi("hzynh-y mkalmat")."
            <tr><td>".farsi($tax+$forcost+$domcost+$intracost)."</table> =
            <table style='display: inline' class='inl'><tr><td>".farsi("malyat")."
            <tr><td>".farsi($tax)."</table> +
            <table style='display: inline' class='inl'><tr><td>".farsi("byn-almlly")."
            <tr><td>".farsi($forcost)."</table> +
            <table style='display: inline' class='inl'><tr><td>".farsi("byn_whry")."
            <tr><td>".farsi($domcost)."</table> +
            <table style='display: inline' class='inl'><tr><td>".farsi("daKl_whry")."
            <tr><td>".farsi($intracost)."</table>";

      if ($bimonthly) {
         echo "<tr><td dir='ltr' align='right'> + ";
         $res = pg_exec($db, "select servicename, price
                              from service natural join serviceuse
                              where cid = '$custid' and
                                    starttime <= '$edate' and
                                    ((endtime is null) or (endtime > '$sdate'));");

         $n = pg_numrows($res);
         echo "<table style='display: inline' class='inl'><tr><td colspan=2>".
               farsi("srvys-ha");
         for ($i = 0; $i < $n; ++$i) {
            $s = pg_fetch_object($res, $i);
            echo "<tr><td>".$s->servicename."
                  <td>".farsi($s->price);
            $total += $s->price;      
         }
         echo "</table>";
         $total += $subf;
         echo " + <table style='display: inline' class='inl'><tr><td>".farsi("Abvnman")."
               <tr><td>".farsi($subf)."</table>";

         echo "= <table style='display: inline' class='inl'><tr><td>".farsi("mblq Qabl prdaKt")."
               <tr><td>".farsi($total)."</table>";
               
      }

      echo "</table>";

      if (!$bimonthly) {
         echo "<br><span class='warning'>".farsi("Svrt-Hsab fvQ bdvn aHtsab hzynh-y
                     srvys-ha v Abvnman tvlyd wdh ast.")."</span>";
      }

      echo "<br>".anchor("list.php?custid=$custid&sdate=$sdate&edate=$edate",
                  farsi("drKvast lyst mkalmat"));

      echo "</div>";
}


include("farsi.inc");

$title = "Bills";
$titlefarsi = farsi("Svrt-Hsab");

include("login.php");

if ($isoperator) :

$error = "";

switch ($action) {
   case 1:
      if ($edate_year=='') {
         $error = farsi("taryK naQS ast.");
         break;
      }
      else if (!jcheckdate($edate_year, $edate_month, $edate_day)) {
         $error = farsi("taryK qyrmjaz ast.");
         break;
      }
      
      $res = pg_exec($db, "select *
                           from customer
                           where cid='".tonumber($custid)."';");
      if (pg_numrows($res) == 0) {
         $error = farsi("mwtry ba wmarh-y ").farsi($custid).
                  farsi(" dr systm mvjvd nyst.");
         break;
      }
      else {
         $cust = pg_fetch_object($res, 0);
      }
      

      list($sdate_year, $sdate_month, $sdate_day) = 
         two_months_ago($edate_year, $edate_month, $edate_day);
      show_form(tonumber($custid),
         create_date($sdate_year, $sdate_month, $sdate_day),
         create_date($edate_year, $edate_month, $edate_day),
         true);
      break;

   case 2:
      if ($sdate_year=='' || $edate_year=='') {
         $error = farsi("taryK naQS ast.");
         break;
      }
      else if (!jcheckdate($edate_year, $edate_month, $edate_day) ||
               !jcheckdate($sdate_year, $sdate_month, $sdate_day)) {
         $error = farsi("taryK qyrmjaz ast.");
         break;
      }
      else if ($sdate_year > $edate_year ||
               $sdate_year == $edate_year && $sdate_month > $edate_month ||
               $sdate_year == $edate_year && $sdate_month == $edate_month 
                                          && $sdate_day > $edate_day) {
         $error = farsi("taryK wrve az taryK atmam jlvtr ast.");
         break;
      }
      
      $res = pg_exec($db, "select *
                           from customer
                           where cid='".tonumber($custid)."';");
      if (pg_numrows($res) == 0) {
         $error = farsi("mwtry ba wmarh-y ").farsi($custid).
                  farsi(" dr systm mvjvd nyst.");
         break;
      }
      else {
	$cust = pg_fetch_object($res, 0);
      }

      show_form(tonumber($custid),
         create_date($sdate_year, $sdate_month, $sdate_day),
         create_date($edate_year, $edate_month, $edate_day),
         false);
      break;
}

warning($error);

?>


<form action='bill.php' method='post'>
<input type='hidden' name='action' value='1'>
<?php
   echo tabtitle(farsi("Svrt-Hsab dvmahh"));
?>
<table class='rightspace'>
<tr><td><label for='custid'><?php echo farsi("wmarh-y mwtry: "); ?></label>
<td>
<input id='custid' name='custid' value='<?php echo $custid; ?>' type='text'>
<tr><td class='left'>
<?php
   echo farsi("ta taryK: ")."<td>".dateform("edate");
?>
<tr><td><td>
<input type='submit' value='<%=farsi("tvlyd Svrt-Hsab")%>'>
</table>
</form>

<form action='bill.php' method='post'>
<input type='hidden' name='action' value='2'>
<?php
   echo tabtitle(farsi("Svrt-Hsab bray dvrh-y meyn"));
?>
<table class='rightspace'>
<tr><td><label for='custid'><?php echo farsi("wmarh-y mwtry: "); ?></label>
<td>
<input id='custid' name='custid' value='<?php echo $custid; ?>' type='text'>
<tr><td class='left'>
<?php
   echo farsi("az taryK: ")."<td>".dateform("sdate");
?>
<tr><td class='left'>
<?php
   echo farsi("ta taryK: ")."<td>".dateform("edate");
?>
<tr><td><td>
<input type='submit' value='<%=farsi("tvlyd Svrt-Hsab")%>'>
</form>

<?php

else:
   access_error();
endif;

pageclose();

?>
